Notes on the documentation

This description is only intended for the use of trained specialists in control and automation engineering who are familiar with the applicable national standards.
It is essential that the following notes and explanations are followed when installing and commissioning these components.

The responsible staff must ensure that the application or use of the products described satisfy all the requirements for safety, including all the relevant laws, regulations, guidelines and standards.

Disclaimer

The documentation has been prepared with care. The products described are, however, constantly under development.
For that reason the documentation is not in every case checked for consistency with performance data, standards or other characteristics.
In the event that it contains technical or editorial errors, we retain the right to make alterations at any time and without warning.
No claims for the modification of products that have already been supplied may be made on the basis of the data, diagrams and descriptions in this documentation.

Trademarks

Beckhoff®, TwinCAT®, EtherCAT®, Safety over EtherCAT®, TwinSAFE® and XFC® are registered trademarks of and licensed by Beckhoff Automation GmbH.
Other designations used in this publication may be trademarks whose use by third parties for their own purposes could violate the rights of the owners.

Patent Pending

The TwinCAT Technology is covered, including but not limited to the following patent applications and patents:
EP0851348, US6167425 with corresponding applications or registrations in various other countries.

Copyright

© Beckhoff Automation GmbH & Co. KG, Germany.
The reproduction, distribution and utilization of this document as well as the communication of its contents to others without express authorization are prohibited.
Offenders will be held liable for the payment of damages. All rights reserved in the event of the grant of a patent, utility model or design.


Übersicht

TS6280 | TwinCAT Ethernet/IP Slave

Configuration

The TwinCAT EtherNet/IP Slave enables EtherNet/IP Connectivity to the TwinCAT System.

Requirements:

  • Win2000 / Windows XP: TwinCAT 2.10 Build 1309 or newer
  • Windows CE: Windows CE 5.0 (Beckhoff Windows CE image Build version 2.16) or newer
  • License Key for TwinCAT EtherNet/IP Slave Supplement product
  • Intel PRO Network Interface Card (Ethernet Controller Intel 825X)

Installation

http://download.beckhoff.com/download/document/Application_Notes/DK9121-0111-0026.pdf

Download TwinCAT Supplement Installer for EtherNet/IP connectivity.

Operating System:

Windows 2000 / XP/ Windows XP Embedded:
http:\\download.beckhoff.com\download\Software\TwinCAT\TwinCAT2\Supplement\TwinCAT_EthernetIP_S\Install

Windows CE:
http:\\download.beckhoff.com\download\Software\TwinCAT\TwinCAT2\Supplement\TwinCAT_EthernetIP_S_CE\Install.

Run the Installer on your programming PC and follow its instructions.

If the target operating system is Windows 2000 / Windows XP or Windows XP Embedded, the TwinCAT EtherNet/IP-Slave is now ready for Start-Up (go on with chapter "Start-Up"!).

If the target operating system is Windows CE, please follow the instructions below:

  • The folder ..\TwinCAT\CE\TwinCAT EtherNetIP Slave CE\Install\ARM contains a Cabinet-File (CAB file) for ARM-based CE runtime systems (e.g. CX9001, CX9010, CP66xx,...).
    The folder ..\TwinCAT\CE\TwinCAT EtherNetIP Slave CE\Install\X86 contains a Cabinet-File for X86-based CE runtime systems (e.g. CX1000, CX1020, CP77xx, CP62xx, CP72xx, C69xx,....)
  • Copy the file: TcEtherNetIP_S_Ce.XXXXX.CAB into a folder on the CE runtime system.
  • On the CE system: Please install (double-click the CAB file) the CE components.
  • IMPORTANT: Please suspend the CE device once after installation via "Start-> Suspend"!

Start-Up

General information

  • At the moment, the TwinCAT EtherNet/IP Slave does only support static IP-Address configurations.
    When the TwinCAT EtherNet/IP Slave configuration is beeing activated, the System is only going to start up
    in RUN-Mode if the actual address settings match the stored configuration.

First Steps

  1. Start the TwinCAT System Manager, create a new project and use the context menu after a mouse-click on "I/O Devices", to append a device in the I/O-Configuration

  2. Choose "Real-Time Ethernet" from the Ethernet device type section as shown below

  3. On the newly added "Real-Time Ethernet" device, append the "EtherNet/IP Slave Protocol" via the context menu.

  4. It's necessary to define a sync master for triggering EtherNet/IP Slave Protocol.
    - Option "Standard": the sync master has to be defined manually by the user. (f. e. PLC Task) (this option is not supported by CX9000series)
    - Option "Special Sync Task": a additional task will be created automatically
    Important: The Sync Tasks Cycle Time represents the lowest border of the EtherNet/IP cycle time (RPI)
    (e.g. task cycle time = 10ms ==> EtherNet/IP RPImin=10ms)

  5. Append an EtherNet/IP Slave Box as shown below

  6. Append a Connection (Assembly) on the EtherNet/IP Slave Box as shown below

  7. Depending on application requirements it's possible to define the size of Processdata Image separately for inputs
    and outputs from 1 up to 502 bytes. Please find an example for defining 8 Word Input Processdata as shown below.

  8. A valid EtherNet/IP Configuration is shown below

  9. The Pre-Configuration of TwinCAT EtherNet/IP Slave is finished now. Activate the configuration and go on with Integration in RSLogix5000.

Integration in RSLogix5000
  1. Open RSLogix 5000 and Create a new PLC project. When creating a new project make sure to select the correct controller type and
    controller settings. This example uses a CompactLogix (L32E) with the TwinCAT EtherNet/IP Slave Example configured as shown above.

  2. Add a new module. When adding the TwinCAT EtherNet/IP Slave box, select the "ETHERNET-MODULE", since it is a generic Ethernet/IP
    device, and it will be configured to work with the TwinCAT EtherNet/IP Slave

  3. Configuring the TwinCAT EtherNet/IP Slave in RSLogix:
    • Enter IP-Address of TwinCAT EtherNet/IP Slave
    • Choose Data Type (Comm Format)
    • The Assembly Instances will be as follows:
      • Input(Target->Originator: 101
      • Output(Originator->Target: 102
      • Configuration: 100
    • Things to keep in mind when entering the data size for I/O:
      • There will always be 4 bytes of input and 4 bytes of output data used for diagnostics.
      • The EtherNet/IP Slave Dialog View in TwinCAT Systemmanager (Subchapter "First Steps", Picture 8)
        assist you to find the correct data sizes.

  4. Choose Requested Packet Interval in ms (shall not be lower than TwinCAT EtherNet/IP Slave Sync Task Cycle Time)
    (Cycle Time in the TwinCAT Slave Example was set to 10ms)


Übersicht

TS6280 | TwinCAT Ethernet/IP Slave

Configuration TwinCAT 2.11 R3

The TwinCAT EtherNet/IP Slave enables EtherNet/IP Connectivity to the TwinCAT System.

Requirements:

  • Win2000 / Windows XP: TwinCAT 2.11 R3
  • If you use CE, the image must be also a TwinCAT 2.11 R3
  • License Key for TwinCAT EtherNet/IP Slave Supplement product
  • Intel PRO Network Interface Card (Ethernet Controller Intel 825X)

Installation

http://download.beckhoff.com/download/document/Application_Notes/DK9121-0111-0026.pdf

Download TwinCAT Supplement Installer for EtherNet/IP connectivity.

Operating System:

Windows 2000 / XP/ Windows XP Embedded:
http:\\download.beckhoff.com\download\Software\TwinCAT\TwinCAT2\Supplement\TwinCAT_EthernetIP_S\Install

Windows CE:
http:\\download.beckhoff.com\download\Software\TwinCAT\TwinCAT2\Supplement\TwinCAT_EthernetIP_S_CE\Install.

Run the Installer on your programming PC and follow its instructions.

If the target operating system is Windows 2000 / Windows XP or Windows XP Embedded, the TwinCAT EtherNet/IP-Slave is now ready for Start-Up (go on with chapter "Start-Up"!).

If the target operating system is Windows CE, please follow the instructions below:

  • The folder ..\TwinCAT\CE\TwinCAT EtherNetIP Slave CE\Install\ARM contains a Cabinet-File (CAB file) for ARM-based CE runtime systems (e.g. CX9001, CX9010, CP66xx,...).
    The folder ..\TwinCAT\CE\TwinCAT EtherNetIP Slave CE\Install\X86 contains a Cabinet-File for X86-based CE runtime systems (e.g. CX1000, CX1020, CP77xx, CP62xx, CP72xx, C69xx,....)
  • Copy the file: TcEtherNetIP_S_Ce.XXXXX.CAB into a folder on the CE runtime system.
  • On the CE system: Please install (double-click the CAB file) the CE components.
  • IMPORTANT: Please suspend the CE device once after installation via "Start-> Suspend"!

Start-Up

General information

  • At the moment, the TwinCAT EtherNet/IP Slave does only support static IP-Address configurations.
    When the TwinCAT EtherNet/IP Slave configuration is beeing activated, the System is only going to start up
    in RUN-Mode if the actual address settings match the stored configuration.

First Steps

  1. Start the TwinCAT System Manager, create a new project and use the context menu after a mouse-click on "I/O Devices", to append a device in the I/O-Configuration

  2. Choose "DeviceNet/Ethernet/IP" as shown below

  3. Serach the Ethernet Interface, if you don't find a interface you havn't install the RT-Ethernet driver!

  4. Change to Sync Task, Create a new Task and change the Cycle Ticks to 10 ms.
    Important: The Sync Tasks Cycle Time represents the lowest border of the EtherNet/IP cycle time (RPI)
    (e.g. task cycle time = 10ms ==> EtherNet/IP RPImin=10ms)

  5. It's necessary to define a sync master for triggering EtherNet/IP Slave Protocol.
    - Option "Standard": the sync master has to be defined manually by the user. (f. e. PLC Task) (this option is not supported by CX9000series)
    - Option "Special Sync Task": a additional task will be created automatically

  6. Append an EtherNet/IP Slave Box as shown below

  7. Append a Connection (Assembly) on the EtherNet/IP Slave Box as shown below

  8. Depending on application requirements it's possible to define the size of Processdata Image separately for inputs
    and outputs from 1 up to 502 bytes. Please find an example for defining 8 Word Input Processdata as shown below.

  9. A valid EtherNet/IP Configuration is shown below

  10. The Pre-Configuration of TwinCAT EtherNet/IP Slave is finished now. Activate the configuration and go on with Integration in RSLogix5000.

Integration in RSLogix5000
  1. Open RSLogix 5000 and Create a new PLC project. When creating a new project make sure to select the correct controller type and
    controller settings. This example uses a CompactLogix (L32E) with the TwinCAT EtherNet/IP Slave Example configured as shown above.

  2. Add a new module. When adding the TwinCAT EtherNet/IP Slave box, select the "ETHERNET-MODULE", since it is a generic Ethernet/IP
    device, and it will be configured to work with the TwinCAT EtherNet/IP Slave

  3. Configuring the TwinCAT EtherNet/IP Slave in RSLogix:
    • Enter IP-Address of TwinCAT EtherNet/IP Slave
    • Choose Data Type (Comm Format)
    • The Assembly Instances will be as follows:
      • Input(Target->Originator: 101
      • Output(Originator->Target: 102
      • Configuration: 100
    • Things to keep in mind when entering the data size for I/O:
      • There will always be 4 bytes of input and 4 bytes of output data used for diagnostics.
      • The EtherNet/IP Slave Dialog View in TwinCAT Systemmanager (Subchapter "First Steps", Picture 8)
        assist you to find the correct data sizes.

  4. Choose Requested Packet Interval in ms (shall not be lower than TwinCAT EtherNet/IP Slave Sync Task Cycle Time)
    (Cycle Time in the TwinCAT Slave Example was set to 10ms)


Error

TS6280 | TwinCAT Ethernet/IP Slave

Error Codes

CN_ORC_ALREADY_USED 0x100 /* Connection already in use

CN_ORC_BAD_TRANSPORT 0x103 /* Transport type not supported

CN_ORC_OWNER_CONFLICT 0x106 /* More than one guy configuring

CN_ORC_BAD_CONNECTION 0x107 /* Trying to close inactive conn

CN_ORC_BAD_CONN_TYPE 0x108 /* Unsupported connection type

CN_ORC_BAD_CONN_SIZE 0x109 /* Connection size mismatch

CN_ORC_CONN_UNCONFIGURED 0x110 /* Connection unconfigured

CN_ORC_BAD_RPI 0x111 /* Unsupportable RPI

CN_ORC_NO_CM_RESOURCES 0x113 /* Conn Mgr out of connections

CN_ORC_BAD_VENDOR_PRODUCT 0x114 /* Mismatch in electronic key

CN_ORC_BAD_DEVICE_TYPE 0x115 /* Mismatch in electronic key

CN_ORC_BAD_REVISION 0x116 /* Mismatch in electronic key

CN_ORC_BAD_CONN_POINT 0x117 /* Nonexistant instance number

CN_ORC_BAD_CONFIGURATION 0x118 /* Bad config instance number

CN_ORC_CONN_REQ_FAILS 0x119 /* No controlling connection open

CN_ORC_NO_APP_RESOURCES 0x11A /* App out of connections